Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services
Class ExternalServices.Argument

    java.lang.Object
      org.jasig.portal.services.ExternalServices.Argument

Enclosing class:
  ExternalServices

     class ExternalServices.Argument

extends java.lang.Object

Field Summary
`(package private) boolean` | `array`
`(package private) java.lang.String` | `datatype`
`(package private) java.util.ArrayList` | `values`

Constructor Summary
`ExternalServices.Argument()`

Method Summary
`void` | `addValue(java.lang.String argValue)`
`boolean` | `getArray()`
`java.lang.String` | `getDataType()`
`java.lang.Object` | `getValue()`
`private java.lang.Object` | `getValue(java.lang.String className, java.lang.String value)`
`void` | `setArray(boolean b)`
`void` | `setDataType(java.lang.String argDataType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### datatype

    java.lang.String datatype

### array

    boolean array

### values

    java.util.ArrayList values

Constructor Detail

### ExternalServices.Argument

    ExternalServices.Argument()

Method Detail

### addValue

    public void addValue(java.lang.String argValue)

### getDataType

    public java.lang.String getDataType()

### setDataType

    public void setDataType(java.lang.String argDataType)

### getArray

    public boolean getArray()

### setArray

    public void setArray(boolean b)

### getValue

    public java.lang.Object getValue()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getValue

    private java.lang.Object getValue(java.lang.String className,
                                      java.lang.String value)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD